Subject: Re: [PATCH 11/18] Virtex: Port UARTLITE driver to of-platform-bus

From: Peter Korsgaard <[email-masked]>
Date: Tue, 02 Oct 2007 18:01:57 +0200

>>>>> "Grant" == Grant Likely <[email-masked]> writes:

Hi,

 Grant> On 10/2/07, Peter Korsgaard <[email-masked]> wrote:
 >> >>>>> "Grant" == Grant Likely <[email-masked]> writes:
 Grant> +       pr_debug("uartlite: calling platform_driver_register()\n");
 Grant> +       if ((ret = platform_driver_register(&ulite_platform_driver)) != 0)
 >> 
 >> I prefer to not have assignments in the if ().

 Grant> Already fixed in v3

Ok, thanks.

 >> Are all the pr_debug necessary? It looks quite messy.

 Grant> Maybe messy, but *very* useful.  Looks prettier in the v3 version with
 Grant> the assignment and if() on separate lines.

Ok, I'll take a look (sorry, I'm behind on mails..)

-- 
Bye, Peter Korsgaard